#!/bin/python

#lang	assign	worker	match-overall	match-c	match-nc	num-match-overall	num-match-c	num-match-nc	total	status
#gu	267659	1416	0.400	0.000	0.500	4.000	0.000	4.000	10.000	approved
import sys
import csv

bylang = {}

for line in csv.DictReader(open('extracted_data/googmatch.assigns.txt'), delimiter='\t'):
	lang = line['lang']; worker = line['worker'];
	match_overall = line['match-overall']
	if lang not in bylang: bylang[lang] = {'match' : 0, 'total' : 0}
	bylang[lang]['match'] += float(match_overall)
	bylang[lang]['total'] += 1

print 'lang\tnum_hits\tmatch'
for lang in bylang:
	quality = float(bylang[lang]['match'])/bylang[lang]['total']
	print '%s\t%d\t%.03f'%(lang,bylang[lang]['total'],quality)
	
