#!/bin/python

#lang	assign	worker	match-overall	match-c	match-nc	num-match-overall	num-match-c	num-match-nc	total	status
#gu	267659	1416	0.400	0.000	0.500	4.000	0.000	4.000	10.000	approved
import sys
import csv

byworker = {}

for line in csv.DictReader(open('extracted_data/googmatch.assigns.txt'), delimiter='\t'):
	lang = line['lang']; worker = line['worker'];
	match_overall = line['match-overall']
	if lang not in byworker: byworker[lang] = {}
	if worker not in byworker[lang] : byworker[lang][worker] = {'match' : 0, 'total' : 0}
	byworker[lang][worker]['match'] += float(match_overall)
	byworker[lang][worker]['total'] += 1

print 'lang\tworker\tnum_hits\tmatch'
for lang in byworker:
	for worker in byworker[lang]:
		quality = float(byworker[lang][worker]['match'])/byworker[lang][worker]['total']
		print '%s\t%s\t%d\t%.03f'%(lang,worker,byworker[lang][worker]['total'],quality)
	
